#!/bin/bash

#
# Conditions:
#   - external IP is 89.122.215.236
#   - internal gw router IP is via eth0
#   - encap (IP proto 4) is DNATed to this machines eth0 IP
#   - local ampr subnet 44.182.21.0/24 is diretly connected to eth1
#   - subnet 44.182.20.0/24 is connected via a the router at 192.168.1.1
#   - "password" has to be replaced with the proper one

##################
# default routes #
##################

echo -n "Setting up default routes... "

ip route add default via 192.168.1.1

###################
# special routing #
###################

echo -n "Setting up local AMPR routing... "

# ampr specials
#
ip route add 44.182.20.0/24 via 192.168.1.1 dev eth0

echo "Done."

#############################
# Start the AMPR RIP daemon #
#############################

echo -n "Starting RIP44 Daemon... "
TST=`ps -A | grep rip44d`
if [ "$TST" != "" ]; then
    killall -SIGKILL rip44d2
    sleep 2
fi

# reject ampr tunnels to own public IP and put out the remaining RIP packets as multicast packets on eth0. 
#
/etc/network/scripts/rip44d2 -i ampr0 -p password -a 89.122.215.236 -f eth0 & > /dev/null
echo "Done."

